package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.setupwizard.CheckNeedInitCmd;
import com.engine.kq.cmd.setupwizard.GetRightMenuCmd;
import com.engine.kq.cmd.setupwizard.GetSetupFormCmd;
import com.engine.kq.cmd.setupwizard.GetSetupStepsCmd;
import com.engine.kq.cmd.setupwizard.PerformInitializationCmd;
import com.engine.kq.service.KQSetupWizardService;
import weaver.hrm.User;

import java.util.Map;

/**
 * 一键开启考勤
 */
public class KQSetupWizardServiceImpl extends Service implements KQSetupWizardService {

    @Override
    public Map<String, Object> getSetupForm(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSetupFormCmd(params, user));
    }

    @Override
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetRightMenuCmd(params, user));
    }

    @Override
    public Map<String, Object> getSetupSteps(Map<String, Object> params, User user) {
        return commandExecutor.execute(new GetSetupStepsCmd(params, user));
    }

    @Override
    public Map<String, Object> performInitialization(Map<String, Object> params, User user) {
        return commandExecutor.execute(new PerformInitializationCmd(params, user));
    }

    @Override
    public Map<String, Object> checkNeedInit(Map<String, Object> params, User user) {
        return commandExecutor.execute(new CheckNeedInitCmd(params, user));
    }
}
